Subject: Re: am335x: no multicast reception over VLAN

From: Grygorii Strashko <[email-masked]>
Date: Tue, 29 Mar 2016 14:05:16 +0300

On 03/29/2016 08:21 AM, Yegor Yefremov wrote:
> Hi Mugunthan,
> 
> On Tue, Mar 29, 2016 at 6:00 AM, Mugunthan V N <[email-masked]> wrote:
>> Hi Yegor
>>
>> On Wednesday 16 March 2016 08:35 PM, Yegor Yefremov wrote:
>>> I have an am335x based board using CPSW in Dual EMAC mode. Without
>>> VLAN IDs I can receive and send multicast packets [1]. When I create
>>> VLAN ID:
>>>
>>> ip link add link eth1 name eth1.100 type vlan id 100
>>> ip addr add 192.168.100.2/24 brd 192.168.100.255 dev eth1.100
>>> route add -net 224.0.0.0 netmask 224.0.0.0 eth1.100
>>>
>>> I can successfully send multicast packets, but not receive them. On
>>> the other side of the Ethernet cable I've used Pandaboard. Pandaboard
>>> could both receive and send multicast packets via VLAN.
>>
>> Are you trying multicast tx/rx on eth1 or eth1.100?
> 
> I'm trying multicast tx/rx on eth1.100.
> 
> eth1 has no problems.
> 

it'd be nice if will be able to post here output fom commands:
# switch-config -d [git://git.ti.com/switch-config/switch-config.git v4.1]
# ifconfig -a
# tcpdump -e -f -Q in -i eth0
# tcpdump -e -f -Q in -i eth0.100

-- 
regards,
-grygorii